

on clicked theObject
	
	if the name of theObject is "choosefile" then
		openFile()
	end if
	
	if the name of theObject is "saveas" then
		saveFile()
	end if
	
end clicked

on awake from nib theObject
	--select tab view item "Documents" of (tab view "tabview" of window "main")
	
end awake from nib

on choose menu item theObject
	if name of theObject is "mopen" then
		openFile()
	end if
	if name of theObject is "msave" then
		saveFile()
	end if
	if name of theObject is "pdfdoc" then
		
		set appPath to path to me as string
		set thePDF to appPath & "Contents:Resources:louis.pdf" as string
		set thePDF to thePDF as alias
		tell application "Finder"
			open thePDF
		end tell
		
		
		--set thePDF to "http://w3.wmcnet.org/braille/louis/louis.pdf" as string
		--set theJava to "window.open('" & thePDF & "');"
		--tell application "Safari"
		--activate
		--do JavaScript theJava in document 1
		
		--end tell
		
	end if
	
end choose menu item


on openFile()
	tell open panel
		set title to "Choose file to translate"
		set prompt to "Chose a file"
		set treat packages as directories to false
		set can choose directories to false
		set can choose files to true
		set allows multiple selection to false
	end tell
	
	set theTypeList to {"txt", "html", "xml", "htm", "doc", "brl", "brf", "dbf", "rtf", "rtfd"} as list
	
	
	set theResult to display open panel for file types theTypeList
	if theResult is 1 then
		--set appPath to path to me
		set filein to path names of open panel as string
		set contents of text field "filein" of tab view item "documents" of tab view "tabview" of window "main" to filein as string
		
		set enabled of button "run" of tab view item "Processing" of tab view "tabview" of window "main" to true
		
		
	else
		set contents of text field "filein" of tab view item "documents" of tab view "tabview" of window "main" to ""
		set enabled of button "run" of tab view item "Processing" of tab view "tabview" of window "main" to false
	end if
end openFile

on saveFile()
	set thePrompt to "Save"
	set theTitle to "Save braille file as"
	tell save panel
		set title to theTitle
		set prompt to thePrompt
		set required file type to "brf"
		set treat packages as directories to false
	end tell
	
	set theResult to display save panel
	if theResult is 1 then
		set contents of text field "fileout" of tab view item "documents" of tab view "tabview" of window "main" to path name of save panel
	else
		set contents of text field "fileout" of tab view item "documents" of tab view "tabview" of window "main" to ""
	end if
end saveFile

